Transcript LOL API
PATCH
/spaces/{spaceId}/recordings/{recordingId}

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

recordingId*string

ID of the recording. You can find from the url in dashboard when you open the workspace or using the list recordings endpoint.

Request Body

application/json

New recording metadata

TypeScript Definitions

Use the request body type in TypeScript.

title*string

Recording title

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://transcript.lol/api/v1/spaces/string/recordings/string" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "workspaceId": "string",
  "title": "string",
  "sourceUrl": "string",
  "mediaType": "AUDIO",
  "source": "string",
  "duration": 0,
  "status": "MEDIA_IMPORT_UPLOADING",
  "recordingFolderId": "string",
  "isMediaDeleted": true,
  "createdById": "string",
  "autoDeleteMediaAfter": "string"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}